> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Publish or unpublish a collection's articles

> Publish or unpublish every article in a help center collection. Set `unpublished` to `true` to
unpublish or `false` to publish; the change is applied recursively to all articles in this collection
and in all of its subcollections. The collection document itself is not modified. Returns
`{ success: true }`.



## OpenAPI

````yaml https://api.gleap.io/api-docs.json put /helpcenter/collections/{helpcenterCollectionId}/toggle-publish
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /helpcenter/collections/{helpcenterCollectionId}/toggle-publish:
    put:
      tags:
        - Help center collections
      summary: Publish or unpublish a collection's articles
      description: >-
        Publish or unpublish every article in a help center collection. Set
        `unpublished` to `true` to

        unpublish or `false` to publish; the change is applied recursively to
        all articles in this collection

        and in all of its subcollections. The collection document itself is not
        modified. Returns

        `{ success: true }`.
      operationId: UnpublishHelpcenterCollection
      parameters:
        - in: path
          name: helpcenterCollectionId
          required: true
          schema:
            type: string
        - in: header
          name: project
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                unpublished:
                  type: boolean
              required:
                - unpublished
              type: object
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                required:
                  - success
                type: object
      security:
        - jwt: []
components:
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````